#right_slice .contentti #outputlista {
	display: flex;
	flex-direction: row;
	background-color: rgba(200,200,200,0.0);
	padding: 0px;
    align-items: flex-start;
    justify-content: center;
	box-sizing: border-box;
	border-radius: 12px;
	flex-wrap: wrap;
	gap: 25px 20px;
    margin:20px 0px;
}

#right_slice .contentti #laskutusreqs{
    width:95%;
    max-width: 295px;
    height:65px;
    background-color:rgba(215,215,215,1.00);
    color:black;
    padding: 0px 0px;
    border-radius: 100px;
    margin: 5px auto;
    overflow: visible;
}

#right_slice .contentti #laskutusreqs .requestticket {
    display: none;
    flex-direction: column-reverse;
    width: 100%;
    height: 100%;
    position: relative;
    font-size: 14px;
    padding: 0px 65px;
    align-items: center;
    box-sizing: border-box;
    justify-content: center;
}

#right_slice .contentti #laskutusreqs .requestticket:first-of-type {
    display: flex;
}

#right_slice .contentti #laskutusreqs .requestticket:before {
    position: absolute;
    top:0px;
    right:100%;
    margin: auto 0px;
    display: flex;
    height: 100%;
    content: "Laskutuspyyntö";
    color: white;
    font-size: 13px;
    font-weight: 600;
    align-items: center;
    justify-content: center;
    translate: -10px 0px;
    
}

#right_slice .contentti #laskutusreqs .requestticket .p1,
#right_slice .contentti #laskutusreqs .requestticket .p2{
    width: 100%;
    height: auto;
    line-height: 17px;
    font-size: 12px;
    font-weight: 300;
    text-align: left;
}

#right_slice .contentti #laskutusreqs .requestticket .p2{
    font-weight: 700;
}

#right_slice .contentti #laskutusreqs .requestticket .btn_reject,
#right_slice .contentti #laskutusreqs .requestticket .btn_add{
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;    
    width:50px;
    height: 50px;
    margin: auto 10px;
    font-size: 30px;
    font-weight: 500;
    box-shadow: inset 0px -22px 4px rgba(22,22,22,0.2);
    padding: 0;
    border-radius: 100px;
    
}


#right_slice .contentti #laskutusreqs .requestticket .btn_add{
    top:0px;
    bottom:0px;
    right:0px;
    background-color: rgba(18,185,18,1.00);
    color:white;
}

#right_slice .contentti #laskutusreqs .requestticket .btn_reject{
    top:0px;
    bottom:0px;
    left:0px;
    background-color: rgba(192,26,26,1.00);
    color:white;
}


#right_slice .contentti .eitilausta{
    display: flex;
    width: 90%;
    min-width: 60vw;
    max-width: 650px;
    height:auto;
    text-align: center;
    border-radius: 111px;
    margin: 30px auto;
    padding: 30px 5%;
    box-sizing: border-box;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
    justify-content: center;
    color:white;
    gap: 15px 0px;
    background-color:rgba(79,79,79,1.00);    
    animation:4.95s waiting 0s infinite linear forwards;
}

@keyframes waiting {
    0%{
     box-shadow: inset 0px 0px 1px rgba(108,158,219,1.00);  
    }
    25%{
    box-shadow: inset 650px 0px 1px rgba(108,158,219,1.00);
    }
    50%{
    box-shadow: inset 0px 0px 1px rgba(108,158,219,1.00);
    }
    75%{
    box-shadow: inset -650px 0px 1px rgba(108,158,219,1.00);
    }
    10%{
     box-shadow: inset 0px 0px 1px rgba(108,158,219,1.00);  
    }
    
    
}

#right_slice .contentti .eitilausta h4{
    margin:0px;
    width:100%;
    height:auto;
    line-height: 35px;
    font-size:35px;
    font-weight: 800;
}

#right_slice .contentti .eitilausta p{
    display: flex;
    margin:0px;
    width:100%;
    height:auto;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    padding: 0px 10%;
    color:white;
    text-align: center;
    line-height: 25px;
    font-size:13px;
    font-weight: 300;
}


#right_slice .contentti .tilaus {
	display:flex;
    position: relative;
	flex-direction: row;
	align-items: flex-start;
	justify-content: space-between;
    align-self: stretch;
	width:280px;
    height:auto;
    min-height:140px; 
    background-color: rgba(255,255,255,1.00);
    background-image: linear-gradient(352deg, white 25%, rgba(225,225,225,1.00) 55%, rgba(235,235,235,1.00) 70%, white 90%);
	border-radius: 0px;
	padding: 5px 10px;
	margin: 5px 0px;
	box-sizing: border-box;
}

#right_slice .contentti .tilaus:before{
    position: absolute;
    left: 0px;
    top:0px;
    translate:0px -50%;
    content: "";
    width: 100%;
    height:40px;
    background-color:white;
    clip-path: ellipse(50% 24% at 50% 54%);
}

#right_slice .contentti .tilaus:after{
    position: absolute;
    left: 0px;
    bottom:0px;
    translate:0px 50%;
    content: "";
    width: 100%;
    height:40px;
    background-color:white;
    clip-path: ellipse(50% 24% at 50% 54%);
}

#right_slice .contentti .tilaus .neworder{
    position: absolute;
    background-color:orange;
    width:30px;
    height:30px;
    clip-path: circle();
    top:5px;
    right:5px;
}

#right_slice .contentti .tilaus .sidewrap2{
	display:flex;
    width:100%;
	flex-direction: column;
    padding: 6px 3%;
    box-sizing: border-box;
	gap:2px 2px;
}

#right_slice .contentti .tilaus .sidewrap2 .tilausid,
#right_slice .contentti .tilaus .sidewrap2 .aika,
#right_slice .contentti .tilaus .sidewrap2 .poyta,
#right_slice .contentti .tilaus .sidewrap2 .maksutapa,
#right_slice .contentti .tilaus .sidewrap2 .open_message,
#right_slice .contentti .tilaus .sidewrap2 .maksettu_summa {
	display: flex;
    position: relative;
	margin: 0;
    width:100%;
    height:auto;
	color:black;
	padding: 5px 0px;
    border-bottom: 1px solid rgba(209,209,209,1.00);
	font-size: 17px;
    font-weight: 400;
    font-family: system-ui;
}

#right_slice .contentti .tilaus .sidewrap2 .tilausid { font-size:28px; font-weight: 800; margin: 5px 0px; }
#right_slice .contentti .tilaus .sidewrap2 .aika { justify-content: space-between; }
#right_slice .contentti .tilaus .sidewrap2 .poyta { justify-content: space-between; }
#right_slice .contentti .tilaus .sidewrap2 .maksutapa { justify-content: space-between; }
#right_slice .contentti .tilaus .sidewrap2 .open_message { font-size: 15px; line-height: 25px;}
#right_slice .contentti .tilaus .sidewrap2 .maksettu_summa { font-size:22px; font-weight: 800; margin: 5px 0px 0px 0px; border:0; }

#right_slice .contentti .tilaus .sidewrap2 .aika:before{ content:"Tilausaika" }
#right_slice .contentti .tilaus .sidewrap2 .poyta:before { content:"Pöytä"; }
#right_slice .contentti .tilaus .sidewrap2 .maksutapa:before { content:"Maksutapa"; }



#editview{
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    position: fixed;
    top:0px;
    bottom:0px;
    left:0px;
    right:0px;
    width:90%;
    overflow-x: hidden;
    overflow-y: auto;
    height: calc( 100vh - 50px );
    height: calc( 100lvh - 30px );
    margin: auto;
    padding: 20px 5%;
    box-sizing: border-box;
    border-radius: 25px;
    box-shadow: 0px 0px 29px black, 0px 0px 100px black, inset 5px 5px 10px rgba(22,22,22,0.5), inset -5px -5px 10px rgba(22,22,22,0.5);
    background-color: rgba(237,237,237,1.00);
    z-index: 880;
}

#editview:before{
    content:"Hallinnoi tilausta";
    font-size: 25px;
    font-weight: 600;
    font-family: system-ui;
    color:rgba(34,34,34,1.00);
}

#editview .dio {
    display:flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width:100%;
    padding: 15px;
    box-sizing: border-box;
    height: auto;
    overflow: auto;
    margin:20px auto;
    gap:0px 10px;
    border:1px solid rgba(219,219,219,1.00);
    border-radius: 20px;
    scroll-snap-type: x mandatory;
    scroll-snap-stop: always;    
}

#editview .dio .aika,
#editview .dio .maksettu_summa,
#editview .dio .open_message,
#editview .dio .poyta {
    scroll-snap-align:center;
    position: relative;
    display: flex;
    flex-direction: column;
    width:100%;
    min-width: 300px;
    height:140px;
    line-height: 25px;
    margin:2px 0px;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    font-size: 15px;
    font-weight: 800;
    text-align: center;
    background-color:rgba(255,255,255,1.00);
    padding: 10px 15px;
    box-sizing: border-box;
    border-radius: 25px;
}

#editview .dio .aika:before{
    content:"Tilausaika";
    font-size:12px;
    font-weight: 200;    
}

#editview .dio .maksettu_summa:before{
    content:"Maksettu summa";
    font-size:12px;
    font-weight: 200;   
}

#editview .dio .open_message:before{
    content:"Tilausviesti";
    font-size:12px;
    font-weight: 200;
}

#editview .dio .poyta:before{
    content:"Pöytä";
    font-size:12px;
    font-weight: 200;
}


#editview .tuotewrap {
    display: flex;
    width:100%;
    height: auto;
    margin:50px 0px;
    flex-direction: column;
}

#editview .tuote {
    position: relative;
    display:flex;
    width:100%;
    height:auto;
    flex-direction: column;
    justify-content: space-around;
    align-content: center;
    margin: 5px 0px;
    background-color:rgba(248,248,248,1.00);
    padding: 12px 20px;
    gap:5px 0px;
    box-sizing: border-box;
    border-radius: 25px;
}

#editview .tuote p {
    display: flex;
    width:100%;
    height:auto;
    margin: 0;
    font-size: 20px;
    font-weight: 600;
    align-items: center;
    justify-content: flex-start;
    color:black;
    padding: 0;
}

#editview .tuote p:nth-of-type(2) {
    max-width: 120px;
    font-size: 16px;
    font-weight: 300;
    justify-content: flex-start;
}

#editview .tuote p.status {
    max-width: 250px;
    font-size: 16px;
    font-weight: 300;
    justify-content: flex-start;
}

#editview .tuote p.optioselite {
    max-width: 400px;
    font-size: 12px;
    font-weight: 200;
    justify-content: flex-start;
}

#editview .tuote p.optioselite:before {
    content:" - ";
    margin: 0px 5px;
}

#editview .tuote input[type='checkbox']{
    position: absolute;
    right:20px;
    display: flex;
    min-width:35px;
    height:35px;
    margin:auto 0px auto 25px;
    align-items: center;
    border:1px solid rgba(22,22,22,1.0);
    justify-content: center;
    border-radius: 100px;
    background-color: rgba(236,236,236,1.00);
    -webkit-appearance:none;
    z-index: 0;
}

#editview .tuote input[type='checkbox']:checked{
     background-color: rgba(7,234,20,1.00);
     background-image: url("https://cnt.ravintolat.online/imgs2/checked-successcom.svg");
    background-size:25px 25px;
    background-position: center;
    background-repeat: no-repeat;
    mix-blend-mode:multiply;
}

#editview .operate_btn_wrap{
    display:flex;
    position: relative;
    width:100%;
    height:auto;
    min-height: 95px;
    overflow-y: auto;
    gap:0px 10px;
    padding: 15px 2%;
    background-color: rgba(237,237,237,1.00);
    box-sizing: border-box;
    flex-direction: row;
    align-items: center;
    justify-content: center;   
}

#editview .operate_btn_wrap:before{
    position: absolute;
    top:0px;
    left:50%;
    width:auto;
    height:30px;
    line-height: 30px;
    border-top:1px solid blue;
    box-sizing: border-box;
    translate: -50% 0px;
    padding:0px 15px;
    border-radius: 15px;
    content:"Muuta valitut";
    z-index: 1010;
    background-color: rgba(237,237,237,1.00);
}

#editview .operate_btn_wrap .oprbs{
    width: 100%;
    height:60px;
    line-height: 60px;
    text-wrap:nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-transform: capitalize;
    background-color:blue;
    color:white;
    border-radius: 10px;
}

#editview #closebtn {
    position: absolute;
    top:0px;
    right:10px;
    display: flex;
    width:auto;
    height: 50px;
    line-height: 50px;
    background-color:white;
    color:black;
}




@media screen and (max-width:750px){
    
    #editview:before{
        font-size: 20px;
        line-height: 70px;
        height: 70px;
    }
    
    #editview .dio{
        width:100%;
        height:auto;
        min-height: 100px;
        flex-direction: row;
        flex-wrap: nowrap;
        overflow-x: auto;
        padding: 5px;
        overflow-y: hidden;
        scroll-snap-type: x mandatory;
        scroll-snap-stop: always;
    }
    
    #editview .dio .aika:before,
    #editview .dio .maksettu_summa:before,
    #editview .dio .open_message:before,
    #editview .dio .poyta:before {
        font-weight: 700;
    }
    
    #editview .dio .aika,
    #editview .dio .maksettu_summa,
    #editview .dio .open_message,
    #editview .dio .poyta {
        scroll-snap-align:center;
        min-width:100%;
        font-size: 12px;
        line-height: 18px;
        font-weight: 400;
    }
      
    #editview #closebtn {
        position: initial;
        width:65%;
        height:45px;
        align-items: center;
        justify-content: center;
        line-height: 45px;
        margin:5px auto;
    }
    
}